function [list_X,list_T,Data_X,Data_T,dest_fr,inhab,amount_fractions,amount_flows,process_category,bio_tr,rest_index,txt_out,txt_KPI,company_level,km,E_tr,E_pr,txt_fuels,txt_pr_E,amount_pr,cal_val,incineration,bio_energy,txt_em] = read_data( filename )
%UNTITLED3 Summary of this function goes here

inhab = xlsread(filename,'Data','D5'); % read inhabitants


[~,txt,~] = xlsread(filename,'Flows','H5:I13'); 
[~,txt_out,~] = xlsread(filename,'Output','B4:E204');
[~,txt_KPI,~] = xlsread(filename,'Output','R4:S7');
[~,txt_em,~] = xlsread(filename,'Output','AL4:AS7');
[~,txt_fuels,~] = xlsread(filename,'Energy','C14:C17');
[~,txt_pr_E,~] = xlsread(filename,'Energy','D14:D18');


amount_fractions = xlsread(filename,'Flows','C9');
amount_flows = xlsread(filename,'Flows','D9');
amount_pr = xlsread(filename,'Flows','B11');

process_category = xlsread(filename,'Flows','B40:D45');
company_level = xlsread(filename,'Flows','B57:E60');
bio_tr = xlsread(filename,'Flows','B50:E50');
rest_index = xlsread(filename,'Flows','C25');
cal_val = xlsread(filename,'Energy','D31:D39');% (Kj/kg = Mj/tonn)
incineration = xlsread(filename,'Energy','C24:D24');
bio_energy = xlsread(filename,'Energy','F24:H24');

list_X = xlsread(filename,'Flows',char(txt(1,2)));
list_T = xlsread(filename,'Flows',char(txt(2,2)));
Data_X = xlsread(filename,'Data',char(txt(3,2)));
Data_T = xlsread(filename,'Data',char(txt(4,2)));
dest_fr = xlsread(filename,'Flows',char(txt(5,2)));
km = xlsread(filename,'Energy',char(txt(7,2)));
E_tr = xlsread(filename,'Energy',char(txt(8,2)));
E_pr = xlsread(filename,'Energy',char(txt(9,2)));

'xlsread done'
end

